Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class exception_typeHelper

    java.lang.Object
      |
      +--org.omg.CORBA.exception_typeHelper

public class exception_typeHelper
extends java.lang.Object

Helper class for : exception_type

Author:
  OpenORB Compiler

Constructor Summary
`exception_typeHelper()`

Method Summary
`static exception_type` | `extract(Any a)` Extract exception_type from an any
`static java.lang.String` | `id()` Return the exception_type IDL ID
`static void` | `insert(Any a, exception_type t)` Insert exception_type into an any
`static exception_type` | `read(InputStream istream)` Read exception_type from a marshalled stream
`static TypeCode` | `type()` Return the exception_type TypeCode
`static void` | `write(OutputStream ostream, exception_type value)` Write exception_type into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### exception_typeHelper

    public exception_typeHelper()

Method Detail

### insert

    public static void insert(Any a,
                              exception_type t)

  Insert exception_type into an any
  Parameters:
    `a` - an any
    `t` - exception_type value

### extract

    public static exception_type extract(Any a)

  Extract exception_type from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted exception_type value

### type

    public static TypeCode type()

  Return the exception_type TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the exception_type IDL ID
  Returns:
    an ID

### read

    public static exception_type read(InputStream istream)

  Read exception_type from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed exception_type value

### write

    public static void write(OutputStream ostream,
                             exception_type value)

  Write exception_type into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - exception_type value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD